CVE-2016-8649

NameCVE-2016-8649
Descriptionlxc-attach in LXC before 1.0.9 and 2.x before 2.0.6 allows an attacker inside of an unprivileged container to use an inherited file descriptor, of the host's /proc, to access the rest of the host's filesystem via the openat() family of syscalls.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)
Debian Bugs845465

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lxc (PTS)jessie1:1.0.6-6+deb8u6fixed
jessie (security)1:1.0.6-6+deb8u2vulnerable
stretch1:2.0.7-2+deb9u2fixed
buster1:3.1.0+really3.0.3-8fixed
bullseye, sid1:3.1.0+really3.0.4-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
lxcsource(unstable)1:2.0.6-1high845465
lxcsourcejessie1:1.0.6-6+deb8u5high

Notes

[wheezy] - lxc <no-dsa> (Minor issue)
Fixed by: https://github.com/lxc/lxc/commit/81f466d05f2a89cb4f122ef7f593ff3f279b165c
Details: https://launchpad.net/bugs/1639345
To be complete this needs as well changes to src:linux

Search for package or bug name: Reporting problems